/Users/bernard/b20/bsoft/tcltk/tcltk_bmg.cpp(3)

NAME
/Users/bernard/b20/bsoft/tcltk/tcltk_bmg.cpp - A shared object to manage micrograph parameter files in TCL/Tk.

SYNOPSIS

#include <tk.h>
#include 'tcltk_bbox.h'
#include 'tcltk_bfil.h'
#include 'tcltk_bhelix.h'
#include 'tcltk_bxtal.h'
#include 'tcltk_bmarker.h'
#include 'mg_processing.h'
#include 'mg_multiple.h'
#include 'mg_img_proc.h'
#include 'mg_ctf.h'
#include 'mg_ctf_fit.h'
#include 'mg_tomography.h'
#include 'rwmg.h'
#include 'rwimg.h'
#include 'linked_list.h'
#include 'timer.h'
#include 'utilities.h'
#include <sys/stat.h>

  Functions
Tcl_Obj * do_get (Bproject *project, int objc, Tcl_Obj *CONST objv[])
int do_set (Bproject *project, int objc, Tcl_Obj *CONST objv[])
Tcl_Obj * do_rps (Bproject *project, int objc, Tcl_Obj *CONST objv[])
Tcl_Obj * do_ctf_fit (Bproject *project, int objc, Tcl_Obj *CONST objv[])
int project_processing (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[])
Implements the 'Bmg' command in Tcl/Tk to access micrograph parameter files through Bsoft.
Bstring get_all_file_names (Bproject *project)
Tcl_Obj * part_select (Bparticle *part, int objc, Tcl_Obj *CONST objv[])
Tcl_Obj * part_fom (Bparticle *part, int objc, Tcl_Obj *CONST objv[])

  Variables
int verbose
Bproject * project
Bimage * imglist

Detailed Description

A shared object to manage micrograph parameter files in TCL/Tk.

Author:
    Bernard Heymann

Date:
    Created: 20030813

    Modified: 20190226

Definition in file tcltk_bmg.cpp.

Function Documentation

  Tcl_Obj * do_ctf_fit (Bproject * project, int objc, Tcl_Obj *CONST objv[])

Definition at line 1398 of file tcltk_bmg.cpp.

  Tcl_Obj * do_get (Bproject * project, int objc, Tcl_Obj *CONST objv[])

Definition at line 478 of file tcltk_bmg.cpp.

  Tcl_Obj * do_rps (Bproject * project, int objc, Tcl_Obj *CONST objv[])

Definition at line 1261 of file tcltk_bmg.cpp.

  int do_set (Bproject * project, int objc, Tcl_Obj *CONST objv[])

Definition at line 898 of file tcltk_bmg.cpp.

  Bstring get_all_file_names (Bproject * project)

Definition at line 321 of file tcltk_bmg.cpp.

  Tcl_Obj* part_fom (Bparticle * part, int objc, Tcl_Obj *CONST objv[])

Definition at line 454 of file tcltk_bmg.cpp.

  Tcl_Obj* part_select (Bparticle * part, int objc, Tcl_Obj *CONST objv[])

Definition at line 432 of file tcltk_bmg.cpp.

  int project_processing (Tcl_Interp * interp, int objc, Tcl_Obj *CONST objv[])

Implements the 'Bmg' command in Tcl/Tk to access micrograph parameter files through Bsoft.

Parameters:
    *interp a Tcl interpreter within Tcl.
    objc number of arguments passed (+1).
    *objv[] arguments passed as Tcl objects.

Returns:
    int Tcl result.

    Bmg command syntax:
        Bmg <action> <arguments>.
        where:
            action          "create", "exists", "read", "add", "write", "kill", "get", "set",
                            "image_type", "rps", "ctf_fit", "update_matrices",
                            "unitcell_vectors"  "refine" "box" "filament" "node" "layerline" "spot" "marker"
            arguments               action-specific arguments:
                "create"            <number_micrographs> <number_reconstructions>
                "read"              <filename>
                "add"               <filename>
                "write"             <filename>
                "get"               <property> [arguments]
                "set"               <property> <value>
                "rps"
                "ctf_fit"           <level> <lores> <hires>
                "update_matrices"
                "unitcell_vectors"
                "findaxis"          <axis> <step> <start> <end>
                "track"             <iterations> <refine_markers>
                "refine"            <operation>
                "box"               [arguments]
                "filament"          [arguments]
                "node"              [arguments]
                "layerline"         [arguments]
                "spot"              [arguments]
                "marker"            [arguments]
                where:
                    property    "active <flag>"
                                "id <string>"
                                "number_of_mg"
                                "number_of_rec"
                                "number_of_part"
                                "field <string>"
                                "filename <string> <imgtype>"
                                "select <y/n>"
                                "fom <mg_num>"
                                "pixel_size <angstrom>"
                                "size <x> <y> <z>"
                                "origin <x> <y> <z> / <mg_num>"
                                "part_origin <x> <y> <z> / <part_num>"
                                "scale <x> <y> <z> / <mg_num>"
                                "defocus <angstrom>"
                                "defocus_deviation <angstrom>"
                                "astigmatism_angle <radians>"
                                "volt <volts>"
                                "Cs <angstrom>"
                                "amp_fac <fraction>"
                                "zero <angstrom>"
                                "baseline <string>"
                                "envelope <string>"
                                "view <mg_num>"
                                "axis [<radians>] <mg_num>"
                                "tilt [<radians>] <mg_num>"
                                "level [<radians>] <mg_num>"
                                "unitcell <ux> <uy> <vx> <vy>"
                                "helix_axis <radians>"
                                "helix_rise <angstrom>"
                                "helix_angle <radians>"
                                "helix_radius <angstrom>"
                                "box_size <x> <y> <z>"
                                "bad_radius <pixels>"
                                "filament_width <width>"
                                "filament_node_radius"
                                "marker_radius <pixels>"
    Return values:
        Each action may have a return value:
            "create"    (none)
            "exists"    0=no, 1=yes
            "read"      micrograph id
            "write"     (none)
            "kill"      (none)
            "get"       return value based on property
            "set"       modify micrograph property

Definition at line 125 of file tcltk_bmg.cpp.

Variable Documentation

  Bimage* imglist

Definition at line 30 of file bshow.cpp.

  Bproject* project

Definition at line 31 of file bshow.cpp.

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.